Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ClientRequestInfo_CORBA_Policy_policy_type_get Class Reference

Inheritance diagram for TAO_ClientRequestInfo_CORBA_Policy_policy_type_get

[legend]
Collaboration diagram for TAO_ClientRequestInfo_CORBA_Policy_policy_type_get:

[legend]
List of all members.

## Public Methods
| TAO_ClientRequestInfo_CORBA_Policy_policy_type_get ( TAO_GIOP_Invocation *_tao_invocation, CORBA::Object_ptr _tao_target, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
virtual Dynamic::ParameterList* | arguments ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)
virtual Dynamic::ExceptionList* | exceptions ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)
virtual CORBA::Any* | result ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)
void | result (CORBA::PolicyType result)
## Private Methods
| TAO_ClientRequestInfo_CORBA_Policy_policy_type_get (const TAO_ClientRequestInfo_CORBA_Policy_policy_type_get &)
void | operator= (const TAO_ClientRequestInfo_CORBA_Policy_policy_type_get &)
## Private Attributes
CORBA::PolicyType | _result

## Constructor & Destructor Documentation

TAO_ClientRequestInfo_CORBA_Policy_policy_type_get::TAO_ClientRequestInfo_CORBA_Policy_policy_type_get ( | TAO_GIOP_Invocation * _tao_invocation,
| CORBA::Object_ptr _tao_target,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )

TAO_ClientRequestInfo_CORBA_Policy_policy_type_get::TAO_ClientRequestInfo_CORBA_Policy_policy_type_get ( | const TAO_ClientRequestInfo_CORBA_Policy_policy_type_get & )`[private]`

## Member Function Documentation

Dynamic::ParameterList * TAO_ClientRequestInfo_CORBA_Policy_policy_type_get::arguments ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

Dynamic::ExceptionList * TAO_ClientRequestInfo_CORBA_Policy_policy_type_get::exceptions ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

void TAO_ClientRequestInfo_CORBA_Policy_policy_type_get::operator= ( | const TAO_ClientRequestInfo_CORBA_Policy_policy_type_get & )`[private]`

void TAO_ClientRequestInfo_CORBA_Policy_policy_type_get::result ( | CORBA::PolicyType result )

CORBA::Any * TAO_ClientRequestInfo_CORBA_Policy_policy_type_get::result ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

## Member Data Documentation

CORBA::PolicyType TAO_ClientRequestInfo_CORBA_Policy_policy_type_get::_result`[private]`

The documentation for this class was generated from the following file:

- PolicyC.cpp